import { ApplicationRef, Compiler, ComponentFactoryResolver, Injector, RendererFactory2 } from '@angular/core';
import { RhzModal } from './models/rhz-modal.model';
import { RhzModalRef } from './models/rhz-modal-ref.model';
export declare class RhzModalService {
    private componentFactoryResolver;
    private appRef;
    private compiler;
    private rendererFactory;
    private injector;
    private renderer;
    private modalContainerFactory;
    constructor(componentFactoryResolver: ComponentFactoryResolver, appRef: ApplicationRef, compiler: Compiler, rendererFactory: RendererFactory2, document: any, injector: Injector);
    create<T extends RhzModal>(compPath: Promise<any>, params?: any): Promise<RhzModalRef>;
    private setupModalContainerDiv;
    private setupModalContainerFactory;
    private loadModule;
    private inactiveLastModal;
    private activeLastModal;
}
